API Explorer 936 endpoints

Get Product Collection

GET /obp/v7.0.0/banks/BANK_ID/product-collections/COLLECTION_CODE

OBPv3.1.0-getProductCollection No role required Product-CollectionProduct

Returns information about the financial Product Collection specified by BANK_ID and COLLECTION_CODE:

User Authentication is Required. The User must be logged in. The Application must also be authenticated.

URL Parameters:

BANK_ID: gh.29.uk

COLLECTION_CODE:

JSON response body fields (20)
bank_id
gh.29.uk
category
code
125
collection_code
description
Description of the object. Maximum length is 2000. It can be any characters here.
details
family
id
d8839721-ad8f-45dd-9f78-2080414b93f9
license
meta
more_info_url
www.example.com/abc
name
ACCOUNT_MANAGEMENT_FEE
parent_product_code
787LOW
product_attribute_id
product_code
1234BW
products
super_family
type
value
5987953
product_attributes
Example success response
{
  "collection_code": "A",
  "products": [
    {
      "bank_id": "gh.29.uk",
      "code": "1234BW",
      "parent_product_code": "parent",
      "name": "product name",
      "category": "category",
      "family": "family",
      "super_family": "super family",
      "more_info_url": "www.example.com/prod1/more-info.html",
      "details": "Details",
      "description": "Description",
      "meta": {
        "license": {
          "id": "ODbL-1.0",
          "name": "Open Database License"
        }
      },
      "product_attributes": [
        {
          "product_code": "1234BW",
          "product_attribute_id": "613c83ea-80f9-4560-8404-b9cd4ec42a7f",
          "name": "OVERDRAFT_START_DATE",
          "type": "DATE_WITH_DAY",
          "value": "2012-04-23"
        }
      ]
    }
  ]
}
Possible errors (3)
  • OBP-20001: User not logged in. Authentication is required!
  • OBP-30001: Bank not found. Please specify a valid value for BANK_ID.
  • OBP-50000: Unknown Error.
Implemented by OBPv3.1.0 getProductCollection Originally /obp/v3.1.0/banks/BANK_ID/product-collections/COLLECTION_CODE